Bug 1312823 - [RFE] hammer task list --search option should cover "Action" field
[RFE] hammer task list --search option should cover "Action" field
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin (Show other bugs)
6.1.7
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
http://projects.theforeman.org/issues...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 05:34 EST by Kumudini Shirsale
Modified: 2017-11-30 09:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14650 None None None 2016-04-26 13:10 EDT

  None (edit)
Comment 1 Bryan Kearney 2016-04-14 12:09:46 EDT
Connecting redmine issue http://projects.theforeman.org/issues/14650 from this bug
Comment 2 Bryan Kearney 2016-04-14 14:02:33 EDT
Upstream bug component is Tasks Plugin
Comment 4 jnikolak 2016-11-05 01:19:15 EDT
Something like this would also be useful.

See states of tasks in running or pending

hammer task list | egrep -i "\| running"
8e2845ce-035e-4f11-bd7b-8a8d3386e1b6 |      |                   | 2016/11/01 15:23:43 |                     | running | pending | Listen on candlepin events    |                                                                                 

--> Currently no option to do otherwise
#######################################
# hammer task list --help
Usage:
    hammer task list [OPTIONS]

Options:
 --by BY                       Field to sort the results on
 --order ORDER                 Sort field and order, e.g. 'name DESC'
 --page PAGE                   Page number, starting at 1
 --per-page PER_PAGE           Number of results per page to return
 --search SEARCH               Search string
 -h, --help                    print help
[root@jnik source]# 
##########################################
Comment 5 Adam Ruzicka 2017-10-09 04:39:30 EDT
(In reply to jnikolak from comment #4)
Searching by task states and results can be done like this:

# hammer task list --search "state = running and result = pending"
Comment 6 Adam Ruzicka 2017-11-30 09:23:17 EST
We should get this for free when BZ1417130[1] gets fixed. Keeping this one open to track the hammer part of things in case some more changes are needed.

[1] - https://bugzilla.redhat.com/show_bug.cgi?id=1417130

Note You need to log in before you can comment on or make changes to this bug.